- name: Activer les backports
  lineinfile:
    path: /etc/apt/sources.list.d/backports.list
    line: deb http://mirror.bhh.sh/debian buster-backports main contrib
    create: yes
    state: present

- name: Installer les paquets de base
  apt:
    state: present
    name: "{{ packages }}"
    update_cache: yes
  vars:
    packages:
      - git
      - subversion
      - mercurial
      - htop
      - tmux
      - vim
      - emacs
      - certbot
      - mutt
      - weechat
      - elinks
      - rustc
      - cargo
      - cargo-doc
      - rsync
      - dnsutils
      - make
      - g++
      - libssl-dev
      - mosh

- name: setup certbot with contact email
  copy:
    src: ../files/letsencrypt_cli.ini
    dest: /etc/letsencrypt/cli.ini

- include: tor.yml

- include: rust_packages.yml

- include: users.yml
